Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2012-0270

CVE information

Published

8 years ago

Last Modified

8 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Multiple stack-based buffer overflows in Csound before 5.16.6 allow remote attackers to execute arbitrary code via a crafted (1) hetro file to the getnum function in util/heti_main.c or (2) PVOC file to the getnum function in util/pv_import.c..

CVSSv2.0 Score

Severity
High
Base Score
7.5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:csounds:csound:5.13.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:5.14.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:5.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:5.14.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:5.13.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:5.12.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:5.15.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:csounds:csound:5.14.0:*:*:*:*:*:*:*
  Yes
- -